Package org.eclipse.mat.internal.snapshot.inspections

# Enum CompareTablesQuery.Operation

java.lang.Object
java.lang.Enum<CompareTablesQuery.Operation>
org.eclipse.mat.internal.snapshot.inspections.CompareTablesQuery.Operation

All Implemented Interfaces:
  `Serializable`, `Comparable<CompareTablesQuery.Operation>`, `java.lang.constant.Constable`

Enclosing class:
  `CompareTablesQuery`

public static enum CompareTablesQuery.Operation extends Enum<CompareTablesQuery.Operation>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ALL`
`DIFFERENCE`
`INTERSECTION`
`NONE`
`REVERSE_DIFFERENCE`
`SYMMETRIC_DIFFERENCE`
`UNION`

## Method Summary

Modifier and Type
Method
Description
`static CompareTablesQuery.Operation`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static CompareTablesQuery.Operation[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NONE

public static final CompareTablesQuery.Operation NONE

### ALL

public static final CompareTablesQuery.Operation ALL

### INTERSECTION

public static final CompareTablesQuery.Operation INTERSECTION

### UNION

public static final CompareTablesQuery.Operation UNION

### SYMMETRIC_DIFFERENCE

public static final CompareTablesQuery.Operation SYMMETRIC_DIFFERENCE

### DIFFERENCE

public static final CompareTablesQuery.Operation DIFFERENCE

### REVERSE_DIFFERENCE

public static final CompareTablesQuery.Operation REVERSE_DIFFERENCE

## Method Details

### values

public static CompareTablesQuery.Operation[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static CompareTablesQuery.Operation valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null